package com.inspect.ivs.vo;

import java.io.Serializable;

public class XinTongRtspVo implements Serializable {
   private String StreamName;
   private String RtspUrl;

   public XinTongRtspVo(String StreamName, String RtspUrl) {
      this.StreamName = StreamName;
      this.RtspUrl = RtspUrl;
   }

   public String getStreamName() {
      return this.StreamName;
   }

   public String getRtspUrl() {
      return this.RtspUrl;
   }

   public void setStreamName(String StreamName) {
      this.StreamName = StreamName;
   }

   public void setRtspUrl(String RtspUrl) {
      this.RtspUrl = RtspUrl;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof XinTongRtspVo)) {
         return false;
      } else {
         XinTongRtspVo other = (XinTongRtspVo)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            Object this$StreamName = this.getStreamName();
            Object other$StreamName = other.getStreamName();
            if(this$StreamName == null) {
               if(other$StreamName != null) {
                  return false;
               }
            } else if(!this$StreamName.equals(other$StreamName)) {
               return false;
            }

            Object this$RtspUrl = this.getRtspUrl();
            Object other$RtspUrl = other.getRtspUrl();
            if(this$RtspUrl == null) {
               if(other$RtspUrl != null) {
                  return false;
               }
            } else if(!this$RtspUrl.equals(other$RtspUrl)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof XinTongRtspVo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $StreamName = this.getStreamName();
      result = result * 59 + ($StreamName == null?43:$StreamName.hashCode());
      Object $RtspUrl = this.getRtspUrl();
      result = result * 59 + ($RtspUrl == null?43:$RtspUrl.hashCode());
      return result;
   }

   public String toString() {
      return "XinTongCovertRtspVo(StreamName=" + this.getStreamName() + ", RtspUrl=" + this.getRtspUrl() + ")";
   }

   public XinTongRtspVo() {
   }
}
